/*
 Copyright (C) Bilgin Ibryam http://www.ofbizian.com

 This is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 2.1 of the License, or
 (at your option) any later version.

 Foobar is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with this software.  If not, see http://www.fsf.org
 */
if (TodoBrowser.StoryForm) {
    Ext.apply(TodoBrowser.StoryForm.prototype, {
    title: 'タスク詳細',
    save: '保存',
    cancel: 'キャンセル',
    waitMsg: 'データを送信中...',
    completeMessage: 'タスクが追加されました',
    errorMessage: 'データのロード中にエラー.',

    items: [{
        xtype: 'container',
        anchor: '100%',
        layout:'column',
        items:[{
            xtype: 'container',
            columnWidth:1,
            layout: 'anchor',
            items: [{
                xtype:'textfield',
                allowBlank: false,
                fieldLabel: 'タイトル*',
                emptyText: 'このタスクの簡単なタイトル',
                name: 'workEffortName',
                anchor:'96%'
            }]
        },{
            xtype: 'container',
            width: 90,
            //columnWidth:.2,
            layout: 'anchor',
            items: [{
                xtype: 'datefield',
                format : 'Y-m-d',
                fieldLabel: '期限',
                name: 'estimatedCompletionDate',
                anchor:'100%'
            }]
        }]
    }, {
        xtype: 'htmleditor',
        name: 'description',
        fieldLabel: '詳細',
        height: 150,
        anchor: '100%'
    }, {
        //xtype: 'container',
    	xtype: 'fieldset',
        title: 'ストーリー・オプション',
        collapsible: true,
        anchor: '100%',
        layout:'column',
        items:[{
            xtype: 'container',
            columnWidth:.5,
            layout: 'anchor',
            items: [{
                store: projectPartyStore,
                value: currentPartyId,
                allowBlank : false,
				fieldLabel: '割当先',
                anchor:'96%',
				valueField:'id',
				displayField:'name',
		        name: 'currentPartyId',
		        
                xtype:'combo',
                queryMode: 'local',
		        typeAhead: false,					   
 				editable : true,
 				forceSelection : true,
 				allowBlank : true,
 				triggerAction : 'all'
            },{
                store: sprintStore,
                value: backlogId,
                allowBlank : false,
				fieldLabel: 'タスク・リスト',
                anchor:'96%',
				valueField:'id',
				displayField:'name',
		        name: 'workEffortParentId',
                xtype:'combo',
                queryMode: 'local',
		        typeAhead: false,					   
 				editable : true,
 				forceSelection : true,
 				triggerAction : 'all'
            },{
                store: relatedComponentStore,
                allowBlank : false,
				fieldLabel: '関係先',
                anchor:'96%',
				valueField:'id',
				displayField:'name',
		        name: 'showAsEnumId',
                value: 'UICOMPONENT',		        
                xtype:'combo',
                queryMode: 'local',
		        typeAhead: false,					   
 				editable : true,
 				forceSelection : true,
 				triggerAction : 'all'
            }]
        },{
            xtype: 'container',
            columnWidth:.5,
            layout: 'anchor',
            items: [{
                store: storyStatusStore,
				fieldLabel: 'ステータス',
                anchor:'100%',
				valueField:'id',
				displayField:'name',
		        name: 'currentStatusId',
                value: 'STORY_CREATED',		        
                xtype:'combo',
                queryMode: 'local',
		        typeAhead: false,					   
 				editable : true,
 				forceSelection : true,
 				allowBlank : false,
 				triggerAction : 'all'
            }, {
            	store: storyTypeStore,
                value: 'STORY_TASK',		                    	
 				fieldLabel: 'タイプ',
                anchor:'100%',
 				valueField:'id',
 				displayField:'name',
 		        name: 'workEffortPurposeTypeId',
                xtype:'combo',
                queryMode: 'local',
 		        typeAhead: false,					   
  				editable : true,
  				forceSelection : true,
  				allowBlank : false,
  				triggerAction : 'all'
            }, {
            	store: priorityStore,
 				fieldLabel: '優先度',
                anchor:'100%',
 				valueField:'id',
 				displayField:'name',
 		        name: 'priority',
                value: '3',		        
                xtype:'combo',
                queryMode: 'local',
 		        typeAhead: false,					   
  				editable : true,
  				forceSelection : true,
  				allowBlank : false,
  				triggerAction : 'all'
            }]
        }]
    }]

    });
}
